CONVERTTOHASHSESSIONSTORAGE(1p)

NAME
convertToHashSessionStorage - A tool to migrate sessions to hashed storage.

SYNOPSIS
    /usr/share/lemonldap-ng/scripts/convertToHashSessionStorage

DESCRIPTION
This tool should be used only when an existing Lemonldap::NG installation migrates from standard session storage to hashed session storage.

Do not use it a second time.

convertToHashSessionStorage converts all unhashed sessions into hashed session.

OPTIONS

•   --keep duplicate sessions (keep old ones unhashed)

SEE ALSO
<http://lemonldap-ng.org/>

AUTHORS

Xavier Guimard, <yadd@debian.org>

BUG REPORT
Use OW2 system to report bug or ask for features: <https://gitlab.ow2.org/lemonldap-ng/lemonldap-ng/issues>

DOWNLOAD
Lemonldap::NG is available at <https://lemonldap-ng.org/download>

COPYRIGHT AND LICENSE

Copyright (C) 2024 by Xavier Guimard, <yadd@debian.org>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.